package oesf.ace;

import android.app.Activity;
import android.app.ProgressDialog;
import android.os.Bundle;
import android.view.View;
import android.view.View.OnClickListener;

public class ProgressDialogActivity extends Activity 
                                    implements OnClickListener {
    /** Called when the activity is first created. */
    @Override
    public void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        setContentView(R.layout.main);
        findViewById(R.id.button1).setOnClickListener(this);
        findViewById(R.id.button2).setOnClickListener(this);
   }

	@Override
	public void onClick(View v) {
		// TODO ꂽ\bhEX^u
		ProgressDialog dialog = new ProgressDialog(this);
		dialog.setTitle("Title");
		dialog.setMessage("Message");

		if (v.getId() == R.id.button1) {
			dialog.setProgressStyle(ProgressDialog.STYLE_SPINNER);
			dialog.show();
		}
		else {
			dialog.setProgressStyle(ProgressDialog.STYLE_HORIZONTAL);
			dialog.setMax(10);
			dialog.show();
		}
	}
    
}