package oesf.ace;

import android.app.Activity;
import android.database.Cursor;
import android.database.sqlite.SQLiteDatabase;
import android.os.Bundle;
import android.util.Log;
import android.view.View;
import android.view.View.OnClickListener;

public class DBQueryActivity extends Activity
                             implements OnClickListener {
	private SampleDBHelper helper;
	private SQLiteDatabase db;
    /** Called when the activity is first created. */
    @Override
    public void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        setContentView(R.layout.main);
        findViewById(R.id.button1).setOnClickListener(this);
        findViewById(R.id.button2).setOnClickListener(this);
		helper = new SampleDBHelper(this, "Sample2.db", null,1);
		// f[^x[XIuWFNg擾
		db = helper.getWritableDatabase();
    }

	@Override
	public void onClick(View v) {
		// TODO ꂽ\bhEX^u

		if (v.getId() == R.id.button1) {
			// rawQuery\bh
			Cursor c1 = db.rawQuery("SELECT * FROM TBL_Sample;", null);
			// J[\̃f[^̎擾
			c1.moveToFirst();
			for (int i = 0; i < c1.getCount(); i++) {
			    Log.i("05_DBQuery",
			            "rawQuery->"
			            + c1.getInt(c1.getColumnIndex("_id")) + " | "
			            + c1.getString(c1.getColumnIndex("code")) + " | "
			            + c1.getString(c1.getColumnIndex("name")) + " | "
			            + c1.getInt(c1.getColumnIndex("age")));
			    c1.moveToNext();
			}
			c1.close();

			// query\bh
			String[] strColumns = new String[]{"_id","name","age"};
			String strWhere = "name = ?";
			String[] strParams2 = new String[]{"tanaka"};
			String strOrder = "_id DESC";
			Cursor c2 = db.query("TBL_Sample", strColumns, strWhere, strParams2, null, null, strOrder, "10");

			// J[\̃f[^̎擾
			c2.moveToFirst();
			for (int i = 0; i < c2.getCount(); i++) {
			    Log.i("05_DBQuery",
			            "query->"
			            + c2.getInt(c2.getColumnIndex("_id")) + " | "
			            + c2.getString(c2.getColumnIndex("name")) + " | "
			            + c2.getInt(c2.getColumnIndex("age")));
			    c2.moveToNext();
			}
			c2.close();
		}
		else {
			// f[^XV
			String sqlUpdate = "UPDATE TBL_Sample set code='Z002', name='sato', age=42 where _id=1;";
			db.execSQL(sqlUpdate);
			// f[^}

			String sqlIns = "INSERT INTO TBL_Sample (code, name, age) VALUES ('E001','nakamura',37);";
			db.execSQL(sqlIns);
			// f[^폜
			String sqlDel = "DELETE FROM TBL_Sample where _id=2;";
			db.execSQL(sqlDel);
		}
		
	}
}