package oesf.ace;

import java.io.ByteArrayOutputStream;

import org.apache.http.HttpResponse;
import org.apache.http.HttpStatus;
import org.apache.http.client.methods.HttpGet;

import android.app.Activity;
import android.net.http.AndroidHttpClient;
import android.os.AsyncTask;
import android.widget.TextView;
/**
 * 6.2　HTTP通信
 * リスト6-2-2　 AndroidHttpClientによるHTTP/GETのサンプル
 * 
 */
public class HttpAsyncTask extends AsyncTask<Object, Void, String> {
	private static String URL = "http://www.yahoo.co.jp/";
	private Activity activity;
	private TextView textView;

	public HttpAsyncTask(Activity a) {
		this.activity = a;
		textView = (TextView) this.activity.findViewById(R.id.text1);
	}

	@Override
	protected void onPostExecute(String result) {
		this.textView.setText(result);
	}

	@Override
	protected String doInBackground(Object... params) {
		String result = "";
		try {
			AndroidHttpClient client = AndroidHttpClient.newInstance("Android");
			HttpGet request = new HttpGet(URL);
			HttpResponse response = client.execute(request);
			int status = response.getStatusLine().getStatusCode();

			if (HttpStatus.SC_OK == status) {
				ByteArrayOutputStream os = new ByteArrayOutputStream();
				result = os.toString();
			}
		} catch (Exception e) {
			e.printStackTrace();
		}
		return result;
	}

}
