package oesf.ace;

import java.util.List;

import android.app.Activity;
import android.content.Context;
import android.hardware.Sensor;
import android.hardware.SensorEvent;
import android.hardware.SensorEventListener;
import android.hardware.SensorManager;
import android.os.Bundle;

public class SensorActivity extends Activity {
	private SensorManager mManager;
	private SensorEventListener mListener;
    @Override
	protected void onPause() {
		// TODO ꂽ\bhEX^u
        if (mManager != null) 
            mManager.unregisterListener(mListener);
		super.onPause();
	}

	@Override
	protected void onResume() {
		// TODO ꂽ\bhEX^u
		mManager =  (SensorManager) getSystemService(Context.SENSOR_SERVICE);
        // ׂẴZT擾
        List<Sensor> sensors = mManager.getSensorList(Sensor.TYPE_ALL);
        for (Sensor sensor: sensors) {
        	// ZT̓o^
        	if (sensor.getType() == Sensor.TYPE_MAGNETIC_FIELD) {
        		mManager.registerListener(mListener, sensor, SensorManager.SENSOR_DELAY_UI);
        		// ...
        	}
        	// ...
        }
		super.onResume();
	}

	/** Called when the activity is first created. */
    @Override
    public void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        setContentView(R.layout.main);
        mListener = new SensorEventListener () {
			@Override
			public void onAccuracyChanged(Sensor arg0, int arg1) {
				// TODO ꂽ\bhEX^u
				
			}

			@Override
			public void onSensorChanged(SensorEvent arg0) {
				// TODO ꂽ\bhEX^u
				switch (arg0.sensor.getType()) {
			       // CZT̎擾
			       case Sensor.TYPE_MAGNETIC_FIELD:
			           float[] magneticValues = arg0.values.clone();
			           break;
			       
			    }
			}
        };
    }
}