package oesf.ace;

import android.app.Activity;
import android.content.Intent;
import android.os.Bundle;
import android.util.Log;
import android.view.View;
import android.view.View.OnClickListener;
import android.widget.Button;
import android.widget.LinearLayout;

public class ImplicitIntentActivity extends Activity  
                                    implements OnClickListener {
    /** Called when the activity is first created. */
    @Override
    public void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        Button button = new Button(this);
        button.setText("Start Activity!");
        button.setOnClickListener(this);
        LinearLayout layout = new LinearLayout(this);
        setContentView(layout);
        layout.addView(button); 
    }

    public void onClick(View arg0) {
        // TODO ꂽ\bhEX^u
        Log.v("ImplicitIntentActivity", 
        	    "call startActivity");  // Oo
        Intent intent = new Intent(Intent.ACTION_CALL);
        startActivity(intent);
    }
}