package ace.oesf;

import java.io.BufferedInputStream;
import java.io.IOException;
import java.io.InputStream;
import java.net.HttpURLConnection;
import java.net.MalformedURLException;
import java.net.ProtocolException;
import java.net.URL;

import android.app.Activity;
import android.os.Bundle;
import android.view.View;
import android.view.View.OnClickListener;
import android.widget.Button;
import android.widget.TextView;
/**
 * 6.2@HTTPʐM
 * Xg6-2-3@ HttpURLConnectionNXpHTTPʐMTv
 * 
 */
public class HTTPSampleActivity extends Activity {
	private static String URL = "http://www.yahoo.co.jp/";

	@Override
	public void onCreate(Bundle savedInstanceState) {
		super.onCreate(savedInstanceState);
		setContentView(R.layout.main);

		Button b1 = (Button) findViewById(R.id.button1);
		b1.setOnClickListener(new OnClickListener() {

			public void onClick(View v) {

				URL url = null;
				HttpURLConnection http = null;
				InputStream in = null;
				try {
					url = new URL(URL);
					http = (HttpURLConnection) url.openConnection();
					http.setRequestMethod("GET");
					http.connect();
					in = new BufferedInputStream(http.getInputStream());

					String src = new String();
					byte[] line = new byte[1024];
					int size;
					while (true) {
						size = in.read(line);
						if (size <= 0)
							break;
						src += new String(line);
					}
					TextView result = ((TextView) findViewById(R.id.text1));
					result.setText(src);

				} catch (MalformedURLException e) {
					e.printStackTrace();
				} catch (ProtocolException e) {
					e.printStackTrace();
				} catch (IOException e) {
					e.printStackTrace();
				} finally {
					if (http != null)
						http.disconnect();
					if (in != null) {
						try {
							in.close();
						} catch (IOException e) {
							e.printStackTrace();
						}
					}
				}
			}
		});
	}
}